Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.async.mvc
[Groovy] Class AsyncActionResultTransformer

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.async.mvc.AsyncActionResultTransformer

All Implemented Interfaces:
  ActionResultTransformer

    @groovy.transform.CompileStatic
    class AsyncActionResultTransformer

Handles an Async response from a controller

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`protected void` | `handleComplete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.AsyncContext asyncContext)`
`java.lang.Object` | `transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### handleComplete

    protected void handleComplete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.AsyncContext asyncContext)

### transformActionResult

    java.lang.Object transformActionResult(GrailsWebRequest webRequest, java.lang.String viewName, java.lang.Object actionResult)

Groovy Documentation